# SpeciesFormChangeWeatherTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChangeWeatherTrigger

Class used for triggering form changes based on weather. Used by Castform and Cherrim.

#### Hierarchy (View Summary)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeWeatherTrigger

- Defined in src/data/pokemon-forms.ts:454

##### Index

### Constructors

constructor

### Properties

ability
description
weathers

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeWeatherTrigger(
  ability: Abilities ,
  weathers: WeatherType [],
  ): SpeciesFormChangeWeatherTrigger

  #### Parameters

  - ability: Abilities
  - weathers: WeatherType []

  #### Returns SpeciesFormChangeWeatherTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:460

## Properties

### ability

ability: Abilities

The ability that triggers the form change

- Defined in src/data/pokemon-forms.ts:456

### description

description: string = ""

Inherited from SpeciesFormChangeTrigger.description

- Defined in src/data/pokemon-forms.ts:222

### weathers

weathers: WeatherType []

The list of weathers that trigger the form change

- Defined in src/data/pokemon-forms.ts:458

## Methods

### canChange

- canChange(pokemon: default ): boolean

  Checks if the Pokemon has the required ability and is in the correct weather while the weather or ability is also not suppressed.

  #### Parameters

  - pokemon: default

    the pokemon that is trying to do the form change

  #### Returns boolean

  `true` if the Pokemon can change forms, `false` otherwise

  Overrides SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:473

### hasTriggerType

- hasTriggerType(triggerType: Constructor < SpeciesFormChangeTrigger >): boolean

  #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:228